<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Basis\Markieren;

abstract class MarkierenController extends \Kufer\KuferTools\Basis\Controller\AjaxToolController
{
  abstract protected function getUseCase(): \Kufer\KuferTools\Basis\UseCase\UseCase;

  protected function getRequestObj()
  {
    return new MarkierenRequest();
  }

  protected function getPresenter($pUseCaseResponse)
  {
    return new \Kufer\KuferTools\Ausgaben\Markieren\MarkierenPresenter($pUseCaseResponse);
  }
}